Bug 548622 - [documentation] iscsi and iscsiname kickstart commands not documented
[documentation] iscsi and iscsiname kickstart commands not documented
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All Linux
low Severity medium
: ---
: ---
Assigned To: David Nalley
Ruediger Landmann
: Task
Depends On: 525139
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-17 18:23 EST by Ruediger Landmann
Modified: 2013-09-17 06:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 525139
Environment:
Last Closed: 2013-09-17 06:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2009-12-17 18:23:25 EST
+++ This bug was initially created as a clone of Bug #525139 +++

+++ This bug was initially created as a clone of Bug #525136 +++

Description of problem:
The iscsi and iscsiname commands are not well documented in online Installation Guide:

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.4/html/Installation_Guide/s1-kickstart2-options.html

While iscsi command is shown with its parameters a one line description will be helpful. For example: use this command to attach additional iscsi storage during installation.

iscsiname command is not present at all but it is present in /usr/share/doc/anaconda-*/kickstart-docs.txt although not documented there too.

Version-Release number of selected component (if applicable):
RHEL5.4

How reproducible:
always

Steps to Reproduce:
1. search for iscsi in Installation Guide.

--- Additional comment from pm-rhel@redhat.com on 2009-11-06 13:59:30 EDT ---

This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

--- Additional comment from rlandman@redhat.com on 2009-12-10 23:49:06 EDT ---

Hans, are these accurate descriptions of the iscsi and iscsiname parameters?

iscsi --
"Specifies additional iSCSI storage to be attached during installation."

iscsiname --
"Assigns a name to an iSCSI node specified by the iscsi parameter."

Is there anything else I should mention here?

--- Additional comment from hdegoede@redhat.com on 2009-12-16 06:09:17 EDT ---

(In reply to comment #2)
> Hans, are these accurate descriptions of the iscsi and iscsiname parameters?
> 

Hi, thanks for looking into this. I first needed to run some tests myself
(and then fix some bugs I found), to make sure I would provide accurate
information.

> iscsi --
> "Specifies additional iSCSI storage to be attached during installation."
> 
> iscsiname --
> "Assigns a name to an iSCSI node specified by the iscsi parameter."
> 
> Is there anything else I should mention here?  

A number of remarks:

1) iscsiname can be used only once, the use of the iscsiname command is mandatory when using the iscsi command, and the iscsiname must be in the ks script before iscsi

2) iscsi can be used multiple times, and must be in the ks script before any commands such as clearpart or ignoredisk reference to the disks added this way

3) The use of the "iscsi" command inside a ks scriptrequires that networking was activated in stage 1 (the loader) of the installation.

4) The preferred way to use iSCSI disk for installation and boot is to configure
them inside the machines BIOS/Firmware (iBFT for Intel machines), when disks are
configured there anaconda will discover them automatically and no special kickstart commands are needed to see the disks.

Regards,

Hans
Comment 1 Ruediger Landmann 2009-12-17 20:00:52 EST
Updated text from Red Hat Enterprise Linux 5 edition included.

New commits:
commit e80d1ee481129d0419f8e01b5b349dd051d274d0
Author: Ruediger Landmann <r.landmann@redhat.com>
Date:   Fri Dec 18 10:17:28 2009 +1000

    document iscsi and iscsiname kickstart commands BZ#548622
Comment 2 Ruediger Landmann 2009-12-20 19:27:49 EST
Updated text from Red Hat Enterprise Linux 5 edition included.

commit 59e007883d122fc1ffde63d46961476dd8412c2d
Author: Ruediger Landmann <r.landmann@redhat.com>
Date:   Mon Dec 21 10:20:17 2009 +1000
Comment 3 Karsten Wade 2011-12-13 22:47:05 EST
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!
Comment 4 Petr Bokoc 2013-09-17 06:10:52 EDT
Another blast from the past. Documentation for both iscsi and iscsiname is present in the current version's Kickstart Options chapter. Closing.

Note You need to log in before you can comment on or make changes to this bug.